summaryrefslogtreecommitdiff
path: root/tests/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xtests/setup.sh6
1 files changed, 1 insertions, 5 deletions
diff --git a/tests/setup.sh b/tests/setup.sh
index d6ba203..df53943 100755
--- a/tests/setup.sh
+++ b/tests/setup.sh
@@ -54,11 +54,7 @@ pass_init() {
fi
fi
- # This curently returns non-zero for unknown reasons.
- # Only happens with stdin set to /dev/null.
- # I suspect the agent check.
- # TODO: Once fixed, catch non-zero here and fail.
- ${PASS} init ${PASSWORD_STORE_KEY} || true
+ ${PASS} init ${PASSWORD_STORE_KEY} || return 1
echo "Initialization of ${PASSWORD_STORE_DIR} complete."
}
:56 +0200'>2012-09-19Fix git regression.Jason A. Donenfeld1-1/+1 2012-09-18Add additional information from KeepassX xmlJuhamatti Niemelä1-3/+15 Import passwords as multiline entries with password in the first line. Rest contains following data if they exist in the entry element of the xml file: - username - url - comment 2012-09-18Copyright and licensing info to keepassx2pass scriptJuhamatti Niemelä1-0/+4 2012-09-18Quote the template.Jason A. Donenfeld1-1/+1 2012-09-18Better dependency list.Jason A. Donenfeld1-1/+10 2012-09-18Make recursive make silent.Jason A. Donenfeld1-1/+1 2012-09-18Quote the program name.Jason A. Donenfeld1-4/+4 2012-09-17Abstract potentially platform specific commands into their own commands.Jason A. Donenfeld4-72/+97 2012-09-16Support recursive and forced removal.Jason A. Donenfeld2-12/+28 Laurent asked for this. Reported-by: Laurent Ghigonis <laurent@p1sec.com> 2012-09-16Small stylistic things.Jason A. Donenfeld1-9/+9 Reported-by: Laurent Ghigonis <laurent@p1sec.com> 2012-09-15Use --force flag in keepassx import.Jason A. Donenfeld1-1/+1